var NAVTREE =
[
  [ "WinPcap", "index.html", [
    [ "WinPcap Documentation", "index.html", null ],
    [ "Related Pages", "pages.html", [
      [ "Deprecated List", "deprecated.html", null ]
    ] ],
    [ "Modules", "modules.html", [
      [ "WinPcap internals", "group__internals.html", [
        [ "NPF driver internals manual", "group__NPF.html", [
          [ "NPF structures and definitions", "group__NPF__include.html", null ],
          [ "NPF functions", "group__NPF__code.html", null ],
          [ "NPF Just-in-time compiler definitions", "group__NPF__jitter.html", null ]
        ] ],
        [ "How to compile WinPcap", "group__compilation.html", null ],
        [ "Packet.dll -- Packet Driver API", "group__packetapi.html", null ]
      ] ],
      [ "WinPcap user's manual", "group__wpcap.html", [
        [ "Definitions", "group__wpcap__def.html", null ],
        [ "Exported functions", "group__wpcapfunc.html", null ],
        [ "WinPcap tutorial: a step by step guide to using WinPcap", "group__wpcap__tut.html", [
          [ "Obtaining the device list", "group__wpcap__tut1.html", null ],
          [ "Obtaining advanced information about installed devices", "group__wpcap__tut2.html", null ],
          [ "Opening an adapter and capturing the packets", "group__wpcap__tut3.html", null ],
          [ "Capturing the packets without the callback", "group__wpcap__tut4.html", null ],
          [ "Filtering the traffic", "group__wpcap__tut5.html", null ],
          [ "Interpreting the packets", "group__wpcap__tut6.html", null ],
          [ "Handling offline dump files", "group__wpcap__tut7.html", null ],
          [ "Sending Packets", "group__wpcap__tut8.html", null ],
          [ "Gathering Statistics on the network traffic", "group__wpcap__tut9.html", null ]
        ] ],
        [ "Filtering expression syntax", "group__language.html", null ],
        [ "Using WinPcap in your programs", "group__wpcapsamps.html", null ]
      ] ],
      [ "Remote Capture", "group__remote.html", [
        [ "Exported Structures and Definitions", "group__remote__struct.html", [
          [ "Strings related to the new source syntax", "group__remote__source__string.html", null ],
          [ "Identifiers related to the new source syntax", "group__remote__source__ID.html", null ],
          [ "Flags defined in the pcap_open() function", "group__remote__open__flags.html", null ],
          [ "Sampling methods defined in the pcap_setsampling() function", "group__remote__samp__methods.html", null ],
          [ "Authentication methods supported by the RPCAP protocol", "group__remote__auth__methods.html", null ]
        ] ],
        [ "Exported Functions", "group__remotefunc.html", null ],
        [ "Internal Functions", "group__remote__pri__func.html", null ],
        [ "Internal Structures and Definitions", "group__remote__pri__struct.html", null ]
      ] ]
    ] ],
    [ "Data Structures", "annotated.html", [
      [ "__CPU_Private_Data", "struct____CPU__Private__Data.html", null ],
      [ "_DEVICE_EXTENSION", "struct__DEVICE__EXTENSION.html", null ],
      [ "_INTERNAL_REQUEST", "struct__INTERNAL__REQUEST.html", null ],
      [ "_OPEN_INSTANCE", "struct__OPEN__INSTANCE.html", null ],
      [ "_PACKET_OID_DATA", "struct__PACKET__OID__DATA.html", null ],
      [ "_PACKET_RESERVED", "struct__PACKET__RESERVED.html", null ],
      [ "active_pars", "structactive__pars.html", null ],
      [ "activehosts", "structactivehosts.html", null ],
      [ "binary_stream", "structbinary__stream.html", null ],
      [ "daemon_slpars", "structdaemon__slpars.html", null ],
      [ "JIT_BPF_Filter", "structJIT__BPF__Filter.html", null ],
      [ "packet_file_header", "structpacket__file__header.html", null ],
      [ "PacketHeader", "structPacketHeader.html", null ],
      [ "pcap_addr", "structpcap__addr.html", null ],
      [ "pcap_file_header", "structpcap__file__header.html", null ],
      [ "pcap_if", "structpcap__if.html", null ],
      [ "pcap_pkthdr", "structpcap__pkthdr.html", null ],
      [ "pcap_rmtauth", "structpcap__rmtauth.html", null ],
      [ "pcap_samp", "structpcap__samp.html", null ],
      [ "pcap_send_queue", "structpcap__send__queue.html", null ],
      [ "pcap_stat", "structpcap__stat.html", null ],
      [ "rpcap_auth", "structrpcap__auth.html", null ],
      [ "rpcap_filter", "structrpcap__filter.html", null ],
      [ "rpcap_filterbpf_insn", "structrpcap__filterbpf__insn.html", null ],
      [ "rpcap_findalldevs_if", "structrpcap__findalldevs__if.html", null ],
      [ "rpcap_findalldevs_ifaddr", "structrpcap__findalldevs__ifaddr.html", null ],
      [ "rpcap_header", "structrpcap__header.html", null ],
      [ "rpcap_openreply", "structrpcap__openreply.html", null ],
      [ "rpcap_pkthdr", "structrpcap__pkthdr.html", null ],
      [ "rpcap_sampling", "structrpcap__sampling.html", null ],
      [ "rpcap_startcapreply", "structrpcap__startcapreply.html", null ],
      [ "rpcap_startcapreq", "structrpcap__startcapreq.html", null ],
      [ "rpcap_stats", "structrpcap__stats.html", null ],
      [ "sf_pkthdr", "structsf__pkthdr.html", null ]
    ] ],
    [ "Data Structure Index", "classes.html", null ],
    [ "Data Fields", "functions.html", null ],
    [ "File List", "files.html", [
      [ "daemon.h", "daemon_8h.html", null ],
      [ "fileconf.h", "fileconf_8h.html", null ],
      [ "jitter.h", "jitter_8h.html", null ],
      [ "Packet.h", "Packet_8h.html", null ],
      [ "pcap-remote.h", "pcap-remote_8h.html", null ],
      [ "incs/pcap.h", "incs_2pcap_8h.html", null ],
      [ "funcs/pcap.h", "funcs_2pcap_8h.html", null ],
      [ "remote-ext.h", "remote-ext_8h.html", null ],
      [ "rpcapd.h", "rpcapd_8h.html", null ],
      [ "utils.h", "utils_8h.html", null ],
      [ "Win32-Extensions.h", "Win32-Extensions_8h.html", null ],
      [ "win32-svc.h", "win32-svc_8h.html", null ],
      [ "wpcap_remote.htm", "wpcap__remote_8htm.html", null ]
    ] ],
    [ "Globals", "globals.html", null ]
  ] ]
];

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode)
  {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  if (level==0 && node.childrenData)
  {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() 
    {
      if (node.expanded) 
      {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast)
        {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        }
        else
        {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } 
      else 
      {
        expandNode(o, node, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  }
  else
  {
    domNode.appendChild(imgNode);
  }
  if (level==0)
  {
    if (node.isLast)
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    }
    else
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2pnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  }
  else
  {
    if (node.isLast)
    {
      imgNode.src = node.relpath+"ftv2blank.png";
    }
    else
    {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  a.appendChild(node.label);
  if (link) 
  {
    a.href = node.relpath+link;
  } 
  else 
  {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
      node.expanded = false;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() 
  {
    if (!node.childrenUL) 
    {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
}

function expandNode(o, node, imm)
{
  if (node.childrenData && !node.expanded) 
  {
    if (!node.childrenVisited) 
    {
      getNode(o, node);
    }
    if (imm)
    {
      $(node.getChildrenUL()).show();
    } 
    else 
    {
      $(node.getChildrenUL()).slideDown("fast",showRoot);
    }
    if (node.isLast)
    {
      node.plus_img.src = node.relpath+"ftv2mlastnode.png";
    }
    else
    {
      node.plus_img.src = node.relpath+"ftv2mnode.png";
    }
    node.expanded = true;
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) 
  {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
        i==l);
  }
}

function findNavTreePage(url, data)
{
  var nodes = data;
  var result = null;
  for (var i in nodes) 
  {
    var d = nodes[i];
    if (d[1] == url) 
    {
      return new Array(i);
    }
    else if (d[2] != null) // array of children
    {
      result = findNavTreePage(url, d[2]);
      if (result != null) 
      {
        return (new Array(i).concat(result));
      }
    }
  }
  return null;
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;

  getNode(o, o.node);

  o.breadcrumbs = findNavTreePage(toroot, NAVTREE);
  if (o.breadcrumbs == null)
  {
    o.breadcrumbs = findNavTreePage("index.html",NAVTREE);
  }
  if (o.breadcrumbs != null && o.breadcrumbs.length>0)
  {
    var p = o.node;
    for (var i in o.breadcrumbs) 
    {
      var j = o.breadcrumbs[i];
      p = p.children[j];
      expandNode(o,p,true);
    }
    p.itemDiv.className = p.itemDiv.className + " selected";
    p.itemDiv.id = "selected";
    $(window).load(showRoot);
  }
}

